<table class="spellcastingtable">
    <tr class="tableheaderrow">
        <td class="roll">Roll</td>
        <td class="result">Target Number</td>
        <td class="outcomeeffects">Outcome & Additional Effects</td>
    </tr>
    <tr class="tablerow rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="up to 25"
        data-result="Spell Failure: Roll on the Critical Spell Failure Table">
        <td class="roll">up to 25</td>
        <td class="result">-</td>
        <td class="outcomeeffects">Spell Failure: Roll on the Critical Spell Failure Table</td>
    </tr>
    <tr class="tablerow">
        <td class="roll">26-50</td>
        <td class="result">-</td>
        <td class="outcomeeffects">Partial Success: Choose the one that applies best:
            <li class="rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="26-50"
                data-result="Partial Success: The target automatically succeeds at their Save Roll if one was required.">
                The target automatically succeeds at their Save Roll if one was required.</li>
            <li class="rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="26-50"
                data-result="Partial Success: The spell duration is reduced to half the original duration (rounded down).">
                The spell duration is reduced to half the original duration (rounded down).</li>
            <li class="rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="26-50"
                data-result="Partial Success: The spell area of effect is reduced to half the original area (rounded down).">
                The spell area of effect is reduced to half the original area (rounded down).</li>
            <li class="rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="26-50"
                data-result="Partial Success: The spell has no effect, but the caster retains the Magic Points.">The
                spell has no effect, but the caster retains the Magic Points.</li>
        </td>
    </tr>
    <tr class="tablerow">
        <td class="" colspan="3">Success: If a Save Roll is required, the target is the number shown below.</td>
    </tr>
    <tr class="tablerow rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="51-80"
        data-result="Success: If a Save Roll is required, the target is 50">
        <td class="roll">51-80</td>
        <td class="result">50</td>
        <td></td>
    </tr>
    <tr class="tablerow rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="81-95"
        data-result="Success: If a Save Roll is required, the target is 60">
        <td class="roll">81-95</td>
        <td class="result">60</td>
        <td></td>
    </tr>
    <tr class="tablerow rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="96-105"
        data-result="Success: If a Save Roll is required, the target is 65">
        <td class="roll">96-105</td>
        <td class="result">65</td>
        <td></td>
    </tr>
    <tr class="tablerow rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="106-110"
        data-result="Success: If a Save Roll is required, the target is 70">
        <td class="roll">106-110</td>
        <td class="result">70</td>
        <td></td>
    </tr>
    <tr class="tablerow rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="111-120"
        data-result="Success: If a Save Roll is required, the target is 75">
        <td class="roll">111-120</td>
        <td class="result">75</td>
        <td></td>
    </tr>
    <tr class="tablerow rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="121-130"
        data-result="Success: If a Save Roll is required, the target is 80">
        <td class="roll">121-130</td>
        <td class="result">80</td>
        <td></td>
    </tr>
    <tr class="tablerow rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="131-135"
        data-result="Success: If a Save Roll is required, the target is 85">
        <td class="roll">131-135</td>
        <td class="result">85</td>
        <td></td>
    </tr>
    <tr class="tablerow rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="135-140"
        data-result="Success: If a Save Roll is required, the target is 90">
        <td class="roll">135-140</td>
        <td class="result">90</td>
        <td></td>
    </tr>
    <tr class="tablerow rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="141-145"
        data-result="Success: If a Save Roll is required, the target is 95">
        <td class="roll">141-145</td>
        <td class="result">95</td>
        <td></td>
    </tr>
    <tr class="tablerow rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="146-150"
        data-result="Success: If a Save Roll is required, the target is 100">
        <td class="roll">146-150</td>
        <td class="result">100</td>
        <td></td>
    </tr>
    <tr class="tablerow">
        <td class="" colspan="3">Outstanding Success: If a Save Roll is required, the target is the number
            shown below.<br>Furthermore, choose one:
            <li>The Spell costs half the Magic Points to cast.</li>
            <li>You can add a Warping option that costs less than half the Spell cost, for free.</li>
        </td>
    </tr>
    <tr class="tablerow">
        <td class="roll">151-155</td>
        <td class="result rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="151-155"
                data-result="Outstanding Success: If a Save Roll is required, the target is 105, and the Spell costs half the Magic Points to cast.">
                Half MP: 105
        </td>
        <td class="result rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="151-155"
                data-result="Outstanding Success: If a Save Roll is required, the target is 105, and you can add a Warping option that costs less than half the Spell cost, for free.">
                Free Warp: 105
        </td>
    </tr>
    <tr class="tablerow">
        <td class="roll">156-160</td>
        <td class="result rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="156-160"
                data-result="Outstanding Success: If a Save Roll is required, the target is 110, and the Spell costs half the Magic Points to cast.">
                Half MP: 110
        </td>
        <td class="result rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="156-160"
                data-result="Outstanding Success: If a Save Roll is required, the target is 110, and you can add a Warping option that costs less than half the Spell cost, for free.">
                Free Warp: 110
        </td>
    </tr>
    <tr class="tablerow">
        <td class="roll">161-165</td>
        <td class="result rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="161-165"
                data-result="Outstanding Success: If a Save Roll is required, the target is 120, and the Spell costs half the Magic Points to cast.">
                Half MP: 120
        </td>
        <td class="result rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="161-165"
                data-result="Outstanding Success: If a Save Roll is required, the target is 120, and you can add a Warping option that costs less than half the Spell cost, for free.">
                Free Warp: 120
        </td>
    </tr>
    <tr class="tablerow">
        <td class="roll">166-170</td>
        <td class="result rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="166-170"
                data-result="Outstanding Success: If a Save Roll is required, the target is 130, and the Spell costs half the Magic Points to cast.">
                Half MP: 130
        </td>
        <td class="result rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="166-170"
                data-result="Outstanding Success: If a Save Roll is required, the target is 130, and you can add a Warping option that costs less than half the Spell cost, for free.">
                Free Warp: 130
        </td>
    </tr>
    <tr class="tablerow">
        <td class="roll">171-175</td>
        <td class="result rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="171-175"
                data-result="Outstanding Success: If a Save Roll is required, the target is 140, and the Spell costs half the Magic Points to cast.">
                Half MP: 140
        </td>
        <td class="result rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="171-175"
                data-result="Outstanding Success: If a Save Roll is required, the target is 140, and you can add a Warping option that costs less than half the Spell cost, for free.">
                Free Warp: 140
        </td>
    </tr>
    <tr class="tablerow">
        <td class="roll">176+</td>
        <td class="result rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="176+"
                data-result="Outstanding Success: If a Save Roll is required, the target is 150, and the Spell costs half the Magic Points to cast.">
                Half MP: 150
        </td>
        <td class="result rollable" data-type="spellcasting" data-table="2.6 Spell Casting Table" data-roll="176+"
                data-result="Outstanding Success: If a Save Roll is required, the target is 150, and you can add a Warping option that costs less than half the Spell cost, for free.">
                Free Warp: 150
        </td>
    </tr>
</table>